Index: squid/src/asn.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/asn.c,v
retrieving revision 1.1.1.3.4.2.2.3
retrieving revision 1.1.1.3.4.2.2.3.2.1
diff -u -r1.1.1.3.4.2.2.3 -r1.1.1.3.4.2.2.3.2.1
--- squid/src/asn.c	18 Jun 2001 19:30:39 -0000	1.1.1.3.4.2.2.3
+++ squid/src/asn.c	27 Aug 2001 21:48:19 -0000	1.1.1.3.4.2.2.3.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: asn.c,v 1.1.1.3.4.2.2.3 2001/06/18 19:30:39 serassio Exp $
+ * $Id: asn.c,v 1.1.1.3.4.2.2.3.2.1 2001/08/27 21:48:19 tolsty Exp $
  *
  * DEBUG: section 53    AS Number handling
  * AUTHOR: Duane Wessels, Kostas Anagnostakis
@@ -55,12 +55,14 @@
  * an intlist but it's coded as a structure for future
  * enhancements (e.g. expires)
  */
-struct _as_info {
+struct _as_info
+{
     intlist *as_number;
     time_t expires;		/* NOTUSED */
 };
 
-struct _ASState {
+struct _ASState
+{
     StoreEntry *entry;
     request_t *request;
     int as_number;
@@ -72,7 +74,8 @@
 typedef struct _as_info as_info;
 
 /* entry into the radix tree */
-struct _rtentry {
+struct _rtentry
+{
     struct radix_node e_nodes[2];
     as_info *e_info;
     m_int e_addr;
@@ -206,11 +209,7 @@
     asState->offset = 0;
     storeClientCopy(e,
 	asState->seen,
-	asState->offset,
-	4096,
-	memAllocate(MEM_4K_BUF),
-	asHandleReply,
-	asState);
+	asState->offset, 4096, memAllocate(MEM_4K_BUF), asHandleReply, asState);
 }
 
 static void
@@ -264,23 +263,16 @@
     debug(53, 3) ("asState->seen = %d, asState->offset = %d\n",
 	asState->seen, asState->offset);
     if (e->store_status == STORE_PENDING) {
-	debug(53, 3) ("asHandleReply: store_status == STORE_PENDING: %s\n", storeUrl(e));
-	storeClientCopy(e,
-	    asState->seen,
-	    asState->offset,
-	    SM_PAGE_SIZE,
-	    buf,
-	    asHandleReply,
-	    asState);
+	debug(53, 3) ("asHandleReply: store_status == STORE_PENDING: %s\n",
+	    storeUrl(e));
+	storeClientCopy(e, asState->seen, asState->offset, SM_PAGE_SIZE, buf,
+	    asHandleReply, asState);
     } else if (asState->seen < e->mem_obj->inmem_hi) {
-	debug(53, 3) ("asHandleReply: asState->seen < e->mem_obj->inmem_hi %s\n", storeUrl(e));
-	storeClientCopy(e,
-	    asState->seen,
-	    asState->offset,
-	    SM_PAGE_SIZE,
-	    buf,
-	    asHandleReply,
-	    asState);
+	debug(53,
+	    3) ("asHandleReply: asState->seen < e->mem_obj->inmem_hi %s\n",
+	    storeUrl(e));
+	storeClientCopy(e, asState->seen, asState->offset, SM_PAGE_SIZE, buf,
+	    asHandleReply, asState);
     } else {
 	debug(53, 3) ("asHandleReply: Done: %s\n", storeUrl(e));
 	memFree(buf, MEM_4K_BUF);
@@ -319,7 +311,8 @@
 
     t = strchr(as_string, '/');
     if (t == NULL) {
-	debug(53, 3) ("asnAddNet: failed, invalid response from whois server.\n");
+	debug(53,
+	    3) ("asnAddNet: failed, invalid response from whois server.\n");
 	return 0;
     }
     *t = '\0';
@@ -345,10 +338,14 @@
     if (rn != NULL) {
 	asinfo = ((rtentry *) rn)->e_info;
 	if (intlistFind(asinfo->as_number, as_number)) {
-	    debug(53, 3) ("asnAddNet: Ignoring repeated network '%s/%d' for AS %d\n",
+	    debug(53,
+		3) ("asnAddNet: Ignoring repeated network '%s/%d' for AS %d\n",
 		dbg1, bitl, as_number);
 	} else {
-	    debug(53, 3) ("asnAddNet: Warning: Found a network with multiple AS numbers!\n");
+	    debug(53, 3)
+
+		
+		("asnAddNet: Warning: Found a network with multiple AS numbers!\n");
 	    for (Tail = &asinfo->as_number; *Tail; Tail = &(*Tail)->next);
 	    q = xcalloc(1, sizeof(intlist));
 	    q->i = as_number;
Index: squid/src/async_io.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/async_io.c,v
retrieving revision 1.1.1.3.4.2.2.1
retrieving revision 1.1.1.3.4.2.2.1.2.1
diff -u -r1.1.1.3.4.2.2.1 -r1.1.1.3.4.2.2.1.2.1
--- squid/src/async_io.c	6 Jan 2001 12:40:12 -0000	1.1.1.3.4.2.2.1
+++ squid/src/async_io.c	27 Aug 2001 21:48:19 -0000	1.1.1.3.4.2.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: async_io.c,v 1.1.1.3.4.2.2.1 2001/01/06 12:40:12 hno Exp $
+ * $Id: async_io.c,v 1.1.1.3.4.2.2.1.2.1 2001/08/27 21:48:19 tolsty Exp $
  *
  * DEBUG: section 32    Asynchronous Disk I/O
  * AUTHOR: Pete Bentley <pete@demon.net>
@@ -46,16 +45,19 @@
 #define _AIO_OPENDIR	5
 #define _AIO_STAT	6
 
-typedef struct aio_ctrl_t {
+typedef struct aio_ctrl_t
+{
     struct aio_ctrl_t *next;
     int fd;
     int operation;
     AIOCB *done_handler;
     void *done_handler_data;
     aio_result_t result;
-} aio_ctrl_t;
+}
+aio_ctrl_t;
 
-struct {
+struct
+{
     int open;
     int close;
     int cancel;
@@ -64,12 +66,15 @@
     int stat;
     int unlink;
     int check_callback;
-} aio_counts;
+}
+aio_counts;
 
-typedef struct aio_unlinkq_t {
+typedef struct aio_unlinkq_t
+{
     char *path;
     struct aio_unlinkq_t *next;
-} aio_unlinkq_t;
+}
+aio_unlinkq_t;
 
 static aio_ctrl_t *used_list = NULL;
 static int initialised = 0;
@@ -95,8 +100,21 @@
     initialised = 1;
 }
 
+#ifdef _SQUID_MSWIN_
+extern void aio_shutdown(void);
+void
+aioShutdown(void)
+{
+    if (!initialised)
+	return;
+    aio_shutdown();
+    initialised = 0;
+}
+#endif
+
 void
-aioOpen(const char *path, int oflag, mode_t mode, AIOCB * callback, void *callback_data)
+aioOpen(const char *path, int oflag, mode_t mode, AIOCB * callback,
+    void *callback_data)
 {
     aio_ctrl_t *ctrlp;
     int ret;
@@ -192,7 +210,8 @@
 
 
 void
-aioWrite(int fd, int offset, char *bufp, int len, AIOCB * callback, void *callback_data, FREE * free_func)
+aioWrite(int fd, int offset, char *bufp, int len, AIOCB * callback,
+    void *callback_data, FREE * free_func)
 {
     aio_ctrl_t *ctrlp;
     int seekmode;
@@ -241,7 +260,8 @@
 
 
 void
-aioRead(int fd, int offset, char *bufp, int len, AIOCB * callback, void *callback_data)
+aioRead(int fd, int offset, char *bufp, int len, AIOCB * callback,
+    void *callback_data)
 {
     aio_ctrl_t *ctrlp;
     int seekmode;
@@ -353,8 +373,8 @@
 	if ((resultp = aio_poll_done()) == NULL)
 	    break;
 	prev = NULL;
-	for (ctrlp = used_list; ctrlp != NULL; prev = ctrlp, ctrlp = ctrlp->next)
-	    if (&ctrlp->result == resultp)
+	for (ctrlp = used_list; ctrlp != NULL;
+	    prev = ctrlp, ctrlp = ctrlp->next) if (&ctrlp->result == resultp)
 		break;
 	if (ctrlp == NULL)
 	    continue;
@@ -388,7 +408,8 @@
     storeAppendPrintf(sentry, "read\t%d\n", aio_counts.read);
     storeAppendPrintf(sentry, "stat\t%d\n", aio_counts.stat);
     storeAppendPrintf(sentry, "unlink\t%d\n", aio_counts.unlink);
-    storeAppendPrintf(sentry, "check_callback\t%d\n", aio_counts.check_callback);
+    storeAppendPrintf(sentry, "check_callback\t%d\n",
+	aio_counts.check_callback);
     storeAppendPrintf(sentry, "queue\t%d\n", aio_get_queue_len());
 }
 
Index: squid/src/authenticate.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/authenticate.c,v
retrieving revision 1.1.1.3.4.1.2.3
retrieving revision 1.1.1.3.4.1.2.3.2.1
diff -u -r1.1.1.3.4.1.2.3 -r1.1.1.3.4.1.2.3.2.1
--- squid/src/authenticate.c	3 Jun 2001 19:41:47 -0000	1.1.1.3.4.1.2.3
+++ squid/src/authenticate.c	27 Aug 2001 21:48:19 -0000	1.1.1.3.4.1.2.3.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: authenticate.c,v 1.1.1.3.4.1.2.3 2001/06/03 19:41:47 serassio Exp $
+ * $Id: authenticate.c,v 1.1.1.3.4.1.2.3.2.1 2001/08/27 21:48:19 tolsty Exp $
  *
  * DEBUG: section 29    Authenticator
  * AUTHOR: Duane Wessels
@@ -35,33 +34,39 @@
 
 #include "squid.h"
 
-typedef struct {
+typedef struct
+{
     void *data;
     acl_proxy_auth_user *auth_user;
     RH *handler;
-} authenticateStateData;
+}
+authenticateStateData;
 
 static HLPCB authenticateHandleReply;
 static void authenticateStateFree(authenticateStateData * r);
-#ifdef _SQUID_MSWIN_
-	typedef int ( * PFAuthenticate)(char *, char *, authenticateStateData *, HLPCB);
-	typedef int ( * PFInit)(char *);
-
-	typedef struct {
-		HINSTANCE hnd;
-		PFAuthenticate Authenticate;
-		PFInit Init;
-		struct {
-			int requests;
-			int replies;
-			int queue_size;
-			int avg_svc_time;
-		} stats;
-	} AuthPlugin;
+#ifdef _SQUID_MSW		/*IN_ */
+typedef int (*PFAuthenticate) (char *, char *, authenticateStateData *, HLPCB);
+typedef int (*PFInit) (char *);
+
+typedef struct
+{
+    HINSTANCE hnd;
+    PFAuthenticate Authenticate;
+    PFInit Init;
+    struct
+    {
+	int requests;
+	int replies;
+	int queue_size;
+	int avg_svc_time;
+    }
+    stats;
+}
+AuthPlugin;
 
-	static AuthPlugin *authenticators = NULL;
+static AuthPlugin *authenticators = NULL;
 #else
-	static helper *authenticators = NULL;
+static helper *authenticators = NULL;
 #endif
 
 static void
@@ -94,7 +99,7 @@
 authenticateStats(StoreEntry * sentry)
 {
     storeAppendPrintf(sentry, "Authenticator Statistics:\n");
-#ifdef _SQUID_MSWIN_
+#ifdef _SQUID_MSW		/*IN_ */
     storeAppendPrintf(sentry, "requests sent: %d\n",
 	authenticators->stats.requests);
     storeAppendPrintf(sentry, "replies received: %d\n",
@@ -111,7 +116,7 @@
 authenticateStart(acl_proxy_auth_user * auth_user, RH * handler, void *data)
 {
     authenticateStateData *r = NULL;
-#ifndef _SQUID_MSWIN_
+#ifndef _SQUID_MSW		/*IN_ */
     char buf[8192];
 #endif
     assert(auth_user);
@@ -128,10 +133,11 @@
     cbdataLock(data);
     r->data = data;
     r->auth_user = auth_user;
-#ifdef _SQUID_MSWIN_
-	authenticators->stats.requests++;
-    authenticators->Authenticate(r->auth_user->user, r->auth_user->passwd, r, authenticateHandleReply);
-	authenticators->stats.replies++;
+#ifdef _SQUID_MSW		/*IN_ */
+    authenticators->stats.requests++;
+    authenticators->Authenticate(r->auth_user->user, r->auth_user->passwd, r,
+	authenticateHandleReply);
+    authenticators->stats.replies++;
 #else
     snprintf(buf, 8192, "%s %s\n", r->auth_user->user, r->auth_user->passwd);
     helperSubmit(authenticators, buf, authenticateHandleReply, r);
@@ -144,47 +150,52 @@
     static int init = 0;
     if (!Config.Program.authenticate)
 	return;
-#ifdef _SQUID_MSWIN_
-	if (authenticators == NULL)
-		authenticators = xmalloc(sizeof(AuthPlugin));
-   	debug(29, 0) ("authenticateInit: Loading %s\n", Config.Program.authenticate->key);
-	authenticators->hnd = LoadLibrary(Config.Program.authenticate->key);
-	if (authenticators->hnd == NULL) {
-    	debug(29, 0) ("authenticateInit: Unable to load %s\n", Config.Program.authenticate->key);
-		xfree(authenticators);
-		Config.Program.authenticate = NULL;
-		return;
-	}
-	authenticators->Authenticate = (PFAuthenticate)GetProcAddress(authenticators->hnd,"Authenticate");
-	if (authenticators->Authenticate == NULL) {
-    	debug(29, 0) ("authenticateInit: Invalid auth plugin %s\n", Config.Program.authenticate->key);
-		FreeLibrary(authenticators->hnd);
-		xfree(authenticators);
-		Config.Program.authenticate = NULL;
-		return;
-	}		
-	authenticators->Init = (PFInit)GetProcAddress(authenticators->hnd,"Init");
-	if (authenticators->Init == NULL) {
-    	debug(29, 0) ("authenticateInit: Invalid auth plugin %s\n", Config.Program.authenticate->key);
-		FreeLibrary(authenticators->hnd);
-		xfree(authenticators);
-		Config.Program.authenticate = NULL;
-		return;
-	}
-	if (Config.Program.authenticate->next) {
-    	debug(29, 0) ("authenticateInit: Initializing with group %s\n", Config.Program.authenticate->next->key);
-		authenticators->Init(Config.Program.authenticate->next->key);		
-	} 
-	else
-	{
-		debug(29, 0) ("authenticateInit: Missing auth plugin %s Parameter\n", Config.Program.authenticate->key);
-		FreeLibrary(authenticators->hnd);
-		xfree(authenticators);
-		Config.Program.authenticate = NULL;
-		return;
-	}
-	authenticators->stats.requests=0;
-	authenticators->stats.replies=0;
+#ifdef _SQUID_MSW		/*IN_ */
+    if (authenticators == NULL)
+	authenticators = xmalloc(sizeof(AuthPlugin));
+    debug(29, 0) ("authenticateInit: Loading %s\n",
+	Config.Program.authenticate->key);
+    authenticators->hnd = LoadLibrary(Config.Program.authenticate->key);
+    if (authenticators->hnd == NULL) {
+	debug(29, 0) ("authenticateInit: Unable to load %s\n",
+	    Config.Program.authenticate->key);
+	xfree(authenticators);
+	Config.Program.authenticate = NULL;
+	return;
+    }
+    authenticators->Authenticate =
+	(PFAuthenticate) GetProcAddress(authenticators->hnd, "Authenticate");
+    if (authenticators->Authenticate == NULL) {
+	debug(29, 0) ("authenticateInit: Invalid auth plugin %s\n",
+	    Config.Program.authenticate->key);
+	FreeLibrary(authenticators->hnd);
+	xfree(authenticators);
+	Config.Program.authenticate = NULL;
+	return;
+    }
+    authenticators->Init = (PFInit) GetProcAddress(authenticators->hnd, "Init");
+    if (authenticators->Init == NULL) {
+	debug(29, 0) ("authenticateInit: Invalid auth plugin %s\n",
+	    Config.Program.authenticate->key);
+	FreeLibrary(authenticators->hnd);
+	xfree(authenticators);
+	Config.Program.authenticate = NULL;
+	return;
+    }
+    if (Config.Program.authenticate->next) {
+	debug(29, 0) ("authenticateInit: Initializing with group %s\n",
+	    Config.Program.authenticate->next->key);
+	authenticators->Init(Config.Program.authenticate->next->key);
+    } else {
+	debug(29, 0) ("authenticateInit: Missing auth plugin %s Parameter\n",
+	    Config.Program.authenticate->key);
+	FreeLibrary(authenticators->hnd);
+	xfree(authenticators);
+	Config.Program.authenticate = NULL;
+	return;
+    }
+    authenticators->stats.requests = 0;
+    authenticators->stats.replies = 0;
 #else
     if (authenticators == NULL)
 	authenticators = helperCreate("authenticator");
@@ -195,8 +206,7 @@
 #endif
     if (!init) {
 	cachemgrRegister("authenticator",
-	    "User Authenticator Stats",
-	    authenticateStats, 0, 1);
+	    "User Authenticator Stats", authenticateStats, 0, 1);
 	init++;
     }
 }
@@ -205,10 +215,10 @@
 authenticateShutdown(void)
 {
     if (!authenticators)
-		return;
-#ifdef _SQUID_MSWIN_
-	FreeLibrary(authenticators->hnd);
-	xfree(authenticators);
+	return;
+#ifdef _SQUID_MSW		/*IN_ */
+    FreeLibrary(authenticators->hnd);
+    xfree(authenticators);
 #else
     helperShutdown(authenticators);
     if (!shutting_down)
Index: squid/src/cache_cf.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cache_cf.c,v
retrieving revision 1.1.1.3.4.4.2.3
retrieving revision 1.1.1.3.4.4.2.3.2.1
diff -u -r1.1.1.3.4.4.2.3 -r1.1.1.3.4.4.2.3.2.1
--- squid/src/cache_cf.c	14 Jun 2001 20:36:15 -0000	1.1.1.3.4.4.2.3
+++ squid/src/cache_cf.c	27 Aug 2001 21:48:19 -0000	1.1.1.3.4.4.2.3.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: cache_cf.c,v 1.1.1.3.4.4.2.3 2001/06/14 20:36:15 serassio Exp $
+ * $Id: cache_cf.c,v 1.1.1.3.4.4.2.3.2.1 2001/08/27 21:48:19 tolsty Exp $
  *
  * DEBUG: section 3     Configuration File Parsing
  * AUTHOR: Harvest Derived
@@ -73,11 +72,13 @@
 static void free_all(void);
 static void requirePathnameExists(const char *name, const char *path);
 static OBJH dump_config;
-static void dump_http_header(StoreEntry * entry, const char *name, HttpHeaderMask header);
+static void dump_http_header(StoreEntry * entry, const char *name,
+    HttpHeaderMask header);
 static void parse_http_header(HttpHeaderMask * header);
 static void free_http_header(HttpHeaderMask * header);
 static void parse_sockaddr_in_list(sockaddr_in_list **);
-static void dump_sockaddr_in_list(StoreEntry *, const char *, const sockaddr_in_list *);
+static void dump_sockaddr_in_list(StoreEntry *, const char *,
+    const sockaddr_in_list *);
 static void free_sockaddr_in_list(sockaddr_in_list **);
 static int check_null_sockaddr_in_list(const sockaddr_in_list *);
 
@@ -183,9 +184,6 @@
     if ((fp = fopen(file_name, "r")) == NULL)
 	fatalf("Unable to open configuration file: %s: %s",
 	    file_name, xstrerror());
-#if defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_)
-    setmode(fileno(fp), O_TEXT);
-#endif
     cfg_filename = file_name;
     if ((token = strrchr(cfg_filename, '/')))
 	cfg_filename = token + 1;
@@ -204,8 +202,7 @@
 	tmp_line = xstrdup(config_input_line);
 	if (!parse_line(tmp_line)) {
 	    debug(3, 0) ("parseConfigFile: line %d unrecognized: '%s'\n",
-		config_lineno,
-		config_input_line);
+		config_lineno, config_input_line);
 	    err_count++;
 	}
 	safe_free(tmp_line);
@@ -214,9 +211,7 @@
     defaults_if_none();
     configDoConfigure();
     cachemgrRegister("config",
-	"Current Squid Configuration",
-	dump_config,
-	1, 1);
+	"Current Squid Configuration", dump_config, 1, 1);
     return err_count;
 }
 
@@ -256,9 +251,11 @@
 	    Config.redirectChildren = 0;
 	    wordlistDestroy(&Config.Program.redirect);
 	} else if (Config.redirectChildren > DefaultRedirectChildrenMax) {
-	    debug(3, 0) ("WARNING: redirect_children was set to a bad value: %d\n",
+	    debug(3,
+		0) ("WARNING: redirect_children was set to a bad value: %d\n",
 		Config.redirectChildren);
-	    debug(3, 0) ("Setting it to the maximum (%d).\n", DefaultRedirectChildrenMax);
+	    debug(3, 0) ("Setting it to the maximum (%d).\n",
+		DefaultRedirectChildrenMax);
 	    Config.redirectChildren = DefaultRedirectChildrenMax;
 	}
     }
@@ -267,14 +264,17 @@
 	    Config.authenticateChildren = 0;
 	    wordlistDestroy(&Config.Program.authenticate);
 	} else if (Config.authenticateChildren > DefaultAuthenticateChildrenMax) {
-	    debug(3, 0) ("WARNING: authenticate_children was set to a bad value: %d\n",
+	    debug(3, 0)
+		("WARNING: authenticate_children was set to a bad value: %d\n",
 		Config.authenticateChildren);
-	    debug(3, 0) ("Setting it to the maximum (%d).\n", DefaultAuthenticateChildrenMax);
+	    debug(3, 0) ("Setting it to the maximum (%d).\n",
+		DefaultAuthenticateChildrenMax);
 	    Config.authenticateChildren = DefaultAuthenticateChildrenMax;
 	}
     }
     if (Config.Accel.host) {
-	snprintf(buf, BUFSIZ, "http://%s:%d", Config.Accel.host, Config.Accel.port);
+	snprintf(buf, BUFSIZ, "http://%s:%d", Config.Accel.host,
+	    Config.Accel.port);
 	Config2.Accel.prefix = xstrdup(buf);
 	Config2.Accel.on = 1;
     }
@@ -293,16 +293,14 @@
 	fatal("No http_port specified!");
     snprintf(ThisCache, sizeof(ThisCache), "%s:%d (%s)",
 	uniqueHostname(),
-	(int) ntohs(Config.Sockaddr.http->s.sin_port),
-	full_appname_string);
+	(int) ntohs(Config.Sockaddr.http->s.sin_port), full_appname_string);
     /*
      * the extra space is for loop detection in client_side.c -- we search
      * for substrings in the Via header.
      */
     snprintf(ThisCache2, sizeof(ThisCache), " %s:%d (%s)",
 	uniqueHostname(),
-	(int) ntohs(Config.Sockaddr.http->s.sin_port),
-	full_appname_string);
+	(int) ntohs(Config.Sockaddr.http->s.sin_port), full_appname_string);
     if (!Config.udpMaxHitObjsz || Config.udpMaxHitObjsz > SQUID_UDP_SO_SNDBUF)
 	Config.udpMaxHitObjsz = SQUID_UDP_SO_SNDBUF;
     if (Config.appendDomain)
@@ -331,13 +329,12 @@
 #if USE_DNSSERVERS
     requirePathnameExists("cache_dns_program", Config.Program.dnsserver);
 #endif
-#ifndef _SQUID_MSWIN_
     requirePathnameExists("unlinkd_program", Config.Program.unlinkd);
     if (Config.Program.redirect)
 	requirePathnameExists("redirect_program", Config.Program.redirect->key);
-#endif
     if (Config.Program.authenticate)
-	requirePathnameExists("authenticate_program", Config.Program.authenticate->key);
+	requirePathnameExists("authenticate_program",
+	    Config.Program.authenticate->key);
     requirePathnameExists("Icon Directory", Config.icons.directory);
     requirePathnameExists("Error Directory", Config.errorDirectory);
 #if HTTP_VIOLATIONS
@@ -346,13 +343,19 @@
 	for (R = Config.Refresh; R; R = R->next) {
 	    if (!R->flags.override_expire)
 		continue;
-	    debug(22, 1) ("WARNING: use of 'override-expire' in 'refresh_pattern' violates HTTP\n");
+	    debug(22, 1)
+
+		
+		("WARNING: use of 'override-expire' in 'refresh_pattern' violates HTTP\n");
 	    break;
 	}
 	for (R = Config.Refresh; R; R = R->next) {
 	    if (!R->flags.override_lastmod)
 		continue;
-	    debug(22, 1) ("WARNING: use of 'override-lastmod' in 'refresh_pattern' violates HTTP\n");
+	    debug(22, 1)
+
+		
+		("WARNING: use of 'override-lastmod' in 'refresh_pattern' violates HTTP\n");
 	    break;
 	}
     }
@@ -367,7 +370,6 @@
     }
     if (aclPurgeMethodInUse(Config.accessList.http))
 	Config2.onoff.enable_purge = 1;
-#ifndef _SQUID_MSWIN_
     if (NULL != Config.effectiveUser) {
 	struct passwd *pwd = getpwnam(Config.effectiveUser);
 	if (NULL == pwd)
@@ -381,19 +383,16 @@
 	     * during reconfigure.
 	     */
 	    fatalf("getpwnam failed to find userid for effective user '%s'",
-		Config.effectiveUser,
-		xstrerror());
+		Config.effectiveUser, xstrerror());
 	Config2.effectiveUserID = pwd->pw_uid;
     }
     if (NULL != Config.effectiveGroup) {
 	struct group *grp = getgrnam(Config.effectiveGroup);
 	if (NULL == grp)
 	    fatalf("getgrnam failed to find groupid for effective group '%s'",
-		Config.effectiveGroup,
-		xstrerror());
+		Config.effectiveGroup, xstrerror());
 	Config2.effectiveGroupID = grp->gr_gid;
     }
-#endif
 }
 
 /* Parse a time specification from the config file.  Store the
@@ -499,10 +498,7 @@
 	while (v != NULL) {
 	    debug(3, 3) ("dump_acl: %s %s %s\n", name, ae->name, v->key);
 	    storeAppendPrintf(entry, "%s %s %s %s\n",
-		name,
-		ae->name,
-		aclTypeToStr(ae->type),
-		v->key);
+		name, ae->name, aclTypeToStr(ae->type), v->key);
 	    v = v->next;
 	}
 	wordlistDestroy(&w);
@@ -527,13 +523,10 @@
 {
     acl_list *l;
     while (head != NULL) {
-	storeAppendPrintf(entry, "%s %s",
-	    name,
-	    head->allow ? "Allow" : "Deny");
+	storeAppendPrintf(entry, "%s %s", name, head->allow ? "Allow" : "Deny");
 	for (l = head->acl_list; l != NULL; l = l->next) {
 	    storeAppendPrintf(entry, " %s%s",
-		l->op ? null_string : "!",
-		l->acl->name);
+		l->op ? null_string : "!", l->acl->name);
 	}
 	storeAppendPrintf(entry, "\n");
 	head = head->next;
@@ -649,7 +642,10 @@
 parse_delay_pool_count(delayConfig * cfg)
 {
     if (cfg->pools) {
-	debug(3, 0) ("parse_delay_pool_count: multiple delay_pools lines, aborting all previous delay_pools config\n");
+	debug(3, 0)
+
+	    
+	    ("parse_delay_pool_count: multiple delay_pools lines, aborting all previous delay_pools config\n");
 	free_delay_pool_count(cfg);
     }
     parse_ushort(&cfg->pools);
@@ -666,12 +662,16 @@
 
     parse_ushort(&pool);
     if (pool < 1 || pool > cfg->pools) {
-	debug(3, 0) ("parse_delay_pool_class: Ignoring pool %d not in 1 .. %d\n", pool, cfg->pools);
+	debug(3,
+	    0) ("parse_delay_pool_class: Ignoring pool %d not in 1 .. %d\n",
+	    pool, cfg->pools);
 	return;
     }
     parse_ushort(&class);
     if (class < 1 || class > 3) {
-	debug(3, 0) ("parse_delay_pool_class: Ignoring pool %d class %d not in 1 .. 3\n", pool, class);
+	debug(3, 0)
+	    ("parse_delay_pool_class: Ignoring pool %d class %d not in 1 .. 3\n",
+	    pool, class);
 	return;
     }
     pool--;
@@ -681,11 +681,14 @@
     }
     cfg->rates[pool] = xmalloc(class * sizeof(delaySpec));
     cfg->class[pool] = class;
-    cfg->rates[pool]->aggregate.restore_bps = cfg->rates[pool]->aggregate.max_bytes = -1;
+    cfg->rates[pool]->aggregate.restore_bps =
+	cfg->rates[pool]->aggregate.max_bytes = -1;
     if (cfg->class[pool] >= 3)
-	cfg->rates[pool]->network.restore_bps = cfg->rates[pool]->network.max_bytes = -1;
+	cfg->rates[pool]->network.restore_bps =
+	    cfg->rates[pool]->network.max_bytes = -1;
     if (cfg->class[pool] >= 2)
-	cfg->rates[pool]->individual.restore_bps = cfg->rates[pool]->individual.max_bytes = -1;
+	cfg->rates[pool]->individual.restore_bps =
+	    cfg->rates[pool]->individual.max_bytes = -1;
     delayCreateDelayPool(pool, class);
 }
 
@@ -699,13 +702,19 @@
 
     parse_ushort(&pool);
     if (pool < 1 || pool > cfg->pools) {
-	debug(3, 0) ("parse_delay_pool_rates: Ignoring pool %d not in 1 .. %d\n", pool, cfg->pools);
+	debug(3,
+	    0) ("parse_delay_pool_rates: Ignoring pool %d not in 1 .. %d\n",
+	    pool, cfg->pools);
 	return;
     }
     pool--;
     class = cfg->class[pool];
     if (class == 0) {
-	debug(3, 0) ("parse_delay_pool_rates: Ignoring pool %d attempt to set rates with class not set\n", pool + 1);
+	debug(3, 0)
+
+	    
+	    ("parse_delay_pool_rates: Ignoring pool %d attempt to set rates with class not set\n",
+	    pool + 1);
 	return;
     }
     ptr = (delaySpec *) cfg->rates[pool];
@@ -741,7 +750,9 @@
 
     parse_ushort(&pool);
     if (pool < 1 || pool > cfg->pools) {
-	debug(3, 0) ("parse_delay_pool_rates: Ignoring pool %d not in 1 .. %d\n", pool, cfg->pools);
+	debug(3,
+	    0) ("parse_delay_pool_rates: Ignoring pool %d not in 1 .. %d\n",
+	    pool, cfg->pools);
 	return;
     }
     aclParseAccessLine(&cfg->access[pool - 1]);
@@ -754,9 +765,11 @@
     int i;
     for (i = 0; i < HDR_OTHER; i++) {
 	if (http_header_allowed && !CBIT_TEST(header, i))
-	    storeAppendPrintf(entry, "%s allow %s\n", name, httpHeaderNameById(i));
+	    storeAppendPrintf(entry, "%s allow %s\n", name,
+		httpHeaderNameById(i));
 	else if (!http_header_allowed && CBIT_TEST(header, i))
-	    storeAppendPrintf(entry, "%s deny %s\n", name, httpHeaderNameById(i));
+	    storeAppendPrintf(entry, "%s deny %s\n", name,
+		httpHeaderNameById(i));
     }
 }
 
@@ -778,7 +791,9 @@
     else {
 	debug(3, 0) ("%s line %d: %s\n",
 	    cfg_filename, config_lineno, config_input_line);
-	debug(3, 0) ("parse_http_header: expecting 'allow' or 'deny', got '%s'.\n", t);
+	debug(3,
+	    0) ("parse_http_header: expecting 'allow' or 'deny', got '%s'.\n",
+	    t);
 	return;
     }
     if (!http_header_first) {
@@ -793,7 +808,8 @@
     }
     while ((t = strtok(NULL, w_space))) {
 	if ((id = httpHeaderIdByNameDef(t, strlen(t))) == -1)
-	    debug(3, 0) ("parse_http_header: Ignoring unknown header '%s'\n", t);
+	    debug(3, 0) ("parse_http_header: Ignoring unknown header '%s'\n",
+		t);
 	else if (allowed)
 	    CBIT_CLR(*header, id);
 	else
@@ -930,17 +946,11 @@
     LOCAL_ARRAY(char, xname, 128);
     while (p != NULL) {
 	storeAppendPrintf(entry, "%s %s %s %d %d",
-	    name,
-	    p->host,
-	    neighborTypeStr(p),
-	    p->http_port,
-	    p->icp.port);
+	    name, p->host, neighborTypeStr(p), p->http_port, p->icp.port);
 	dump_peer_options(entry, p);
 	for (d = p->peer_domain; d; d = d->next) {
 	    storeAppendPrintf(entry, "cache_peer_domain %s %s%s\n",
-		p->host,
-		d->do_ping ? null_string : "!",
-		d->domain);
+		p->host, d->do_ping ? null_string : "!", d->domain);
 	}
 	if ((a = p->access)) {
 	    snprintf(xname, 128, "cache_peer_access %s", p->host);
@@ -948,9 +958,7 @@
 	}
 	for (t = p->typelist; t; t = t->next) {
 	    storeAppendPrintf(entry, "neighbor_type_domain %s %s %s\n",
-		p->host,
-		peer_type_str(t->type),
-		t->domain);
+		p->host, peer_type_str(t->type), t->domain);
 	}
 	p = p->next;
     }
@@ -1020,7 +1028,11 @@
 #if USE_CARP
 	} else if (!strncasecmp(token, "carp-load-factor=", 17)) {
 	    if (p->type != PEER_PARENT)
-		debug(3, 0) ("parse_peer: Ignoring carp-load-factor for non-parent %s/%d\n", p->host, p->http_port);
+		debug(3, 0)
+
+		    
+		    ("parse_peer: Ignoring carp-load-factor for non-parent %s/%d\n",
+		    p->host, p->http_port);
 	    else
 		p->carp.load_factor = atof(token + 17);
 #endif
@@ -1087,7 +1099,8 @@
 }
 
 static void
-dump_cachemgrpasswd(StoreEntry * entry, const char *name, cachemgr_passwd * list)
+dump_cachemgrpasswd(StoreEntry * entry, const char *name,
+    cachemgr_passwd * list)
 {
     wordlist *w;
     while (list != NULL) {
@@ -1336,8 +1349,7 @@
 	    head->flags.icase ? " -i" : null_string,
 	    head->pattern,
 	    (int) head->min / 60,
-	    (int) (100.0 * head->pct + 0.5),
-	    (int) head->max / 60);
+	    (int) (100.0 * head->pct + 0.5), (int) head->max / 60);
 #if HTTP_VIOLATIONS
 	if (head->flags.override_expire)
 	    storeAppendPrintf(entry, " override-expire");
@@ -1654,8 +1666,7 @@
 
 #include "cf_parser.c"
 
-peer_t
-parseNeighborType(const char *s)
+peer_t parseNeighborType(const char *s)
 {
     if (!strcasecmp(s, "parent"))
 	return PEER_PARENT;
@@ -1716,9 +1727,7 @@
 {
     while (s) {
 	storeAppendPrintf(e, "%s %s:%d\n",
-	    n,
-	    inet_ntoa(s->s.sin_addr),
-	    ntohs(s->s.sin_port));
+	    n, inet_ntoa(s->s.sin_addr), ntohs(s->s.sin_port));
 	s = s->next;
     }
 }
Index: squid/src/cache_diff.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cache_diff.c,v
retrieving revision 1.1.1.1.4.1.2.2
retrieving revision 1.1.1.1.4.1.2.2.2.1
diff -u -r1.1.1.1.4.1.2.2 -r1.1.1.1.4.1.2.2.2.1
--- squid/src/cache_diff.c	3 Jun 2001 19:41:48 -0000	1.1.1.1.4.1.2.2
+++ squid/src/cache_diff.c	27 Aug 2001 21:48:20 -0000	1.1.1.1.4.1.2.2.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: cache_diff.c,v 1.1.1.1.4.1.2.2 2001/06/03 19:41:48 serassio Exp $
+ * $Id: cache_diff.c,v 1.1.1.1.4.1.2.2.2.1 2001/08/27 21:48:20 tolsty Exp $
  *
  * AUTHOR: Alex Rousskov
  *
@@ -39,27 +39,30 @@
 
 #include "squid.h"
 
-typedef struct {
+typedef struct
+{
     const char *name;
     hash_table *hash;
     int count;			/* #currently cached entries */
     int scanned_count;		/* #scanned entries */
     int bad_add_count;		/* #duplicate adds */
     int bad_del_count;		/* #dels with no prior add */
-} CacheIndex;
+}
+CacheIndex;
 
 
-typedef struct _CacheEntry {
+typedef struct _CacheEntry
+{
     const cache_key *key;
     struct _CacheEntry *next;
     /* storeSwapLogData s; */
     unsigned char key_arr[MD5_DIGEST_CHARS];
-} CacheEntry;
+}
+CacheEntry;
 
 
 /* copied from url.c */
-const char *RequestMethodStr[] =
-{
+const char *RequestMethodStr[] = {
     "NONE",
     "GET",
     "POST",
@@ -149,12 +152,9 @@
 cacheIndexInitReport(CacheIndex * idx)
 {
     assert(idx);
-    fprintf(stderr, "%s: bad swap_add:  %d\n",
-	idx->name, idx->bad_add_count);
-    fprintf(stderr, "%s: bad swap_del:  %d\n",
-	idx->name, idx->bad_del_count);
-    fprintf(stderr, "%s: scanned lines: %d\n",
-	idx->name, idx->scanned_count);
+    fprintf(stderr, "%s: bad swap_add:  %d\n", idx->name, idx->bad_add_count);
+    fprintf(stderr, "%s: bad swap_del:  %d\n", idx->name, idx->bad_del_count);
+    fprintf(stderr, "%s: scanned lines: %d\n", idx->name, idx->scanned_count);
 }
 
 static int
@@ -243,7 +243,8 @@
 static int
 usage(const char *prg_name)
 {
-    fprintf(stderr, "usage: %s <label1>: <swap_state>... <label2>: <swap_state>...\n",
+    fprintf(stderr,
+	"usage: %s <label1>: <swap_state>... <label2>: <swap_state>...\n",
 	prg_name);
     return -1;
 }
